%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" 2>/dev/null)}
%{?!pybasever: %global pybasever %(python -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)}

Name:		python-twisted-lore
Version:	12.1.0
Release:	1.0.cf%{?dist}
Summary:	Documentation generator with HTML and LaTeX support
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/trac/wiki/TwistedLore
Source0:	http://twistedmatrix.com/Releases/Lore/12.1/TwistedLore-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	python-twisted-core >= 12.1.0, python2-devel >= 2.5
Requires:	python-twisted-core >= 12.1.0
Requires:	python-twisted-web

# a noarch-turned-arch package should not have debuginfo
%global debug_package %{nil}

%description
Twisted is an event-based framework for Internet applications.

Lore is a complete documentation system based on XHTML and can generate
documentation into other formats such as PDF, HTML.

%prep
%setup -n TwistedLore-%{version} -q

# Fix line endings
sed -i -e 's,\r$,,' doc/howto/listings/lore/*

%build
python setup.py build

%install
rm -rf %{buildroot}

# This is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
python setup.py install -O1 --install-purelib %{python_sitearch} --skip-build --root %{buildroot}

# Man pages
mkdir -p %{buildroot}%{_mandir}/man1/
cp -a doc/man/*.1 %{buildroot}%{_mandir}/man1/
rm -rf doc/man

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitearch}/Twisted_Lore-%{version}-py%{pybasever}.egg-info ]; then
	echo %{python_sitearch}/Twisted_Lore-%{version}-py%{pybasever}.egg-info
fi > egg-info

%clean
rm -rf %{buildroot}

%post
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%postun
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%files -f egg-info
%doc LICENSE NEWS README doc/*
%{_bindir}/lore
%{_mandir}/man1/lore.1*
%{python_sitearch}/twisted/lore/
%{python_sitearch}/twisted/plugins/twisted_lore.py*

%changelog
* Wed Jun  6 2012 Paul Howarth <paul@city-fan.org> 12.1.0-1.0.cf
- update to 12.1.0
  - twisted.plugins.twisted_lore's MathProcessor plugin is now
    associated with the correct implementation module (#5326)
- drop %%defattr, redundant since rpm 4.4

* Mon Feb 13 2012 Paul Howarth <paul@city-fan.org> 12.0.0-1.0.cf
- update to 12.0.0 (no significant changes have been made for this release)
- twisted now requires at least python 2.5

* Mon Jan  9 2012 Paul Howarth <paul@city-fan.org> 11.1.0-2.0.cf
- rebuilt for gcc-4.7 in Rawhide

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> 11.1.0-1.0.cf
- update to 11.1.0
  - when run from an unpacked source tarball or a VCS checkout, bin/lore/lore
    will now use the version of Twisted it is part of (#3526)
  - removed compareMarkPos and comparePosition from lore.tree, deprecated in
    Twisted 9.0 (#5127)
- upstream source distribution has moved to twistedmatrix.com

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> 11.0.0-1.0.cf
- update to 11.0.0 (no significant changes have been made for this release)
- nobody else likes macros for commands

* Tue Nov 30 2010 Paul Howarth <paul@city-fan.org> 10.2.0-1.0.cf
- update to 10.2.0
  - tweaks to the Lore markup in the Lore documentation to make it more
    amenable to conversion to Sphinx (#4571)
- BR: python2-devel rather than just python-devel

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> 10.1.0-1.1.cf
- rebuild for python 2.7 in Rawhide

* Mon Jul  5 2010 Paul Howarth <paul@city-fan.org> 10.1.0-1.0.cf
- update to 10.1.0 (no significant changes have been made for this release)
- Twisted now requires python >= 2.4

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0 (see NEWS for details)

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0

* Fri Aug  7 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope
- tidy up egg-info handling

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0
- remove no longer installed "bookify" program
- make sure the scriplets never return a non-zero exit status

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.0-1
- update to 8.0.0
- handle egg-info if present

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 0.3.0-1
- update to 0.3.0
- require python-twisted-core >= 2.5.0

* Thu Jan  4 2007 Paul Howarth <paul@city-fan.org> 0.2.0-5
- update URL
- add %%post and %%postun scriptlets to update the dropin cache

* Tue Dec 12 2006 Paul Howarth <paul@city-fan.org> 0.2.0-4
- reinstate tabs
- reinstate python-devel buildreq, needed for python 2.5 on Rawhide

* Mon Sep  4 2006 Paul Howarth <paul@city-fan.org> 0.2.0-3
- don't ghost .pyo files
- remove unnecessary python-devel buildreq
- don't generate debuginfo package

* Fri Jun  9 2006 Paul Howarth <paul@city-fan.org> 0.2.0-2
- build as arch-specific package for proper integration with twisted-core
  (see http://www.redhat.com/archives/fedora-extras-list/2006-June/msg00264.html)
- script the python files list generation to clean up the spec

* Wed May 31 2006 Paul Howarth <paul@city-fan.org> 0.2.0-1
- update to 0.2.0
- include doc files LICENSE and NEWS

* Thu May 11 2006 Paul Howarth <paul@city-fan.org> 0.1.0-4
- add missing buildreq python-twisted-core

* Tue May  9 2006 Paul Howarth <paul@city-fan.org> 0.1.0-3
- import from PyVault Repository
- rewrite in Fedora Extras style

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

